Name: repocop-unittest-freedesktop-mime-test
Version: 0.02
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: shared-mime-info packaging test
Group: Development/Other
License: GPL or Artistic
#Url: 
Requires: repocop

#Source: %name-%version.tar

%description
intergration test for repocop test platform.
Includes the following tests:
* shared-mime-info 
 verifies packaging of shared-mime-info files
 according to freedesktop specification at
 http://www.freedesktop.org/wiki/Specifications/shared-mime-info-spec

See explanation at
 http://freesource.info/wiki/AltLinux/Sisyphus/devel/OsobennostiSborkiPaketov

* desktop-mime-entry
 verifies packaging of .desktop files with MimeType entry
 according to freedesktop specification at
 http://www.freedesktop.org/Standards/desktop-entry-spec

See explanation at
 http://freesource.info/wiki/AltLinux/Sisyphus/devel/OsobennostiSborkiPaketov

%prep
#%setup -q

%build
cat > shared-mime-info.test <<'EOF'
#!/bin/sh
files_exist()
{
    [ -e "$1" ]
}

if files_exist $REPOCOP_PKG_ROOT/usr/share/mime/packages/*.xml; then
   if rpmquery --scripts -p $REPOCOP_PKG | grep update-mime-database >/dev/null; then
       exec repocop-test-ok
   else
       exec repocop-test-fail "missing %%post:%%update_mimedb  %%postun:%%clean_mimedb in %%post/un scripts: are required to install shared mime info properly."
   fi
else
   exec repocop-test-skip 
fi
EOF

cat > desktop-mime-entry.test <<'EOF'
#!/bin/sh
files_exist()
{
    [ -e "$1" ]
}
STATUS=skip
MESSAGE=
for f in $REPOCOP_PKG_ROOT%_desktopdir/*.desktop $REPOCOP_PKG_ROOT%_desktopdir/*/*.desktop; do
    if [ -e "$f" ] && grep -i '^MimeType=' "$f" >/dev/null; then
        if rpmquery --scripts -p $REPOCOP_PKG | grep update-desktop-database >/dev/null; then
            [ "$STATUS" = "skip" ] && STATUS=ok
        else
            STATUS=fail
            MESSAGE="missing %%post:%%update_desktopdb  %%postun:%%clean_desktopdb in %%post/un scripts: are required to properly register mime info from MimeType= entry in .desktop files. See http://freesource.info/wiki/AltLinux/Sisyphus/devel/OsobennostiSborkiPaketov"
        fi
    fi
done
exec repocop-test-$STATUS $MESSAGE
EOF

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/shared-mime-info/
%__install -m 755 shared-mime-info.test $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/shared-mime-info/test
mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/desktop-mime-entry/
%__install -m 755 desktop-mime-entry.test $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/desktop-mime-entry/test

%files
%_datadir/repocop/pkgtests/shared-mime-info/test
%_datadir/repocop/pkgtests/desktop-mime-entry/test

%changelog
* Wed Mar 19 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- fixed bug

* Sat Mar 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- First build for Sisyphus.
